Compute Management/Image Storage Related Interfaces/Image Storage Related Interfaces/Distributed Image Storage Related Interfaces
PUTDistributed Image Storage Related InterfacesSince 0.6SynchronousAuth Required
Update Distributed Image Storage Monitor Node
Update Distributed Image Storage Monitor Node
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
monUuidStringRequiredMonitor node UUID
Body Fields
updatecephbackupstoragemonObjectRequiredupdatecephbackupstoragemon request body object.
hostnameStringNew host IP address for the monitor node
sshUsernameStringSSH username for the monitor node host
sshPasswordStringSSH password for the monitor node host
sshPortIntegerSSH port for the monitor node host
monPortIntegerPort of the monitor node
systemTagsListSystem tags
userTagsListUser tags
Responses
Endpoint
PUT/zstack/v1/backup-storage/ceph/mons/{monUuid}/actions
/zstack/v1/backup-storage/ceph/mons/{monUuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/backup-storage/ceph/mons/{monUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatecephbackupstoragemon":{"hostname":"<hostname>","sshUsername":"<sshUsername>","sshPassword":"<sshPassword>","sshPort":1,"monPort":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "mons": [ { "monAddr": "10.0.1.4", "monUuid": "e1fd732039e64d3bb81d779cdea2e0e1" } ], "name": "My Ceph Backup Storage", "description": "Public Ceph Backup Storage", "totalCapacity": 1.073741824E9, "availableCapacity": 9.68884224E8, "type": "Ceph", "state": "Enabled", "status": "Connected", "createDate": "Jun 7, 2017 9:20:08 PM", "lastOpDate": "Jun 7, 2017 9:20:08 PM", "attachedZoneUuids": [ "073a93204ff54164af04748a7c2697c6" ] } }Change History
This API has no change history records yet.
